{% extends 'base.html.twig' %}

{% block title %}{{ app.request.pathinfo }}{% endblock %}

{% block body %}

    <div class=" row singleCoin">
    <div class="col-12 mb-5 text-start  ">
        <input
            class="btn btn-outline-danger"
            type="button"
            value="Retour"
            onclick="history.back()"></div>
        <div class="mb-5 d-flex justify-content-center ">
            <h1 class='text-center' id="name"></h1>
        </div>

        <div class="col-md-6 pt-md-4 pe-md-5 ">
            <script
                src="https://widgets.coingecko.com/coingecko-coin-compare-chart-widget.js"></script>
            <div id='chart'></div>
        </div>
        <div class="col-md-6 pt-5 pt-md-0">

            <table class=" table ">
                <tbody >
                    <tr>
                        <th>Price</th>
                        <td class="text-end" id="priceTable"></td>

                    </tr>
                    <tr>
                        <th >Market Cap</th>
                        <td class="text-end" id="marketCapTable"></td>
                    </tr>
                    <tr>
                        <th >Market Cap Dominance
                        </th>
                        <td class="text-end" id="capDominanceTable"></td>
                    </tr>
                    <tr>
                        <th >TradingVolume</th>
                        <td class="text-end" id="traidVolumeTable"></td>
                    </tr>
                    <tr>
                        <th >Volume / Market Cap
                        </th>
                        <td class="text-end" id="volumeMArketCappriceTable"></td>
                    </tr>
                    <tr>
                        <th >24h Low / 24h High
                        </th>
                        <td class="text-end" id="dayTable"></td>
                    </tr>
                    <tr>
                        <th >7d Low / 7d High $</th>
                        <td class="text-end" id="weekTable"></td>
                    </tr>
                    <tr>
                        <th >Market Cap Rank
                        </th>
                        <td class="text-end" id="RankTable"></td>
                    </tr>
                    <tr>
                        <th >All-Time High
                        </th>
                        <td class="text-end" id="highTable"></td>
                    </tr>
                    <tr>
                        <th>All-Time Low
                        </th>
                        <td class="text-end" id="LowTable"></td>
                    </tr>
                </tbody>
            </table>

            <div class="col-md-6"></div>
        </div>

        <div class='col-md-6 mt-5 pe-5 text-center text-md-start'>
            <h3 class='mb-5' id="Title"></h3>
            <p id="description"></p>
        </div>
        <div class='col-md-6 mt-5'>

            <table class=" table ">
                <tbody >
                    <h3 class="mb-5 text-center text-md-start">Prix et informations du marché</h3>
                    <tr>
                        <th>Site Web</th>
                        <td class="text-end" id="Website"></td>

                    </tr>
                    <tr>
                        <th >Explorateurs</th>
                        <td class="text-end" id="Explorers"></td>
                    </tr>
                    <tr>
                        <th >Communauté</th>
                        <td class="text-end" id="Community"></td>
                    </tr>
                    <tr>
                        <th >Code source</th>
                        <td class="text-end" id="SourceCode"></td>
                    </tr>
                    <tr>
                        <th>Date de création</th>
                        <td class="text-end" id="Genegis"></td>
                    </tr>

                </tbody>
            </table>
            <script src="https://widgets.coingecko.com/coingecko-coin-converter-widget.js"></script>
            <div id="convert"></div>
        </div>
        <div id='Exenges' class='mt-5'>
            <script
                src="https://widgets.coingecko.com/coingecko-coin-market-ticker-list-widget.js"></script>
        </div>
    </div>

{% endblock %}